# Method: settings.datasources.list

- [HTTP request](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/list#body.request_body)
- [Response body](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/list#body.response_body)
  - [JSON representation](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/list#body.ListDataSourceResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/list#body.aspect)
- [Try it!](https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources/list#try-it)

Lists datasources.

**Note:** This API requires an admin account to execute.

### HTTP request

`GET https://cloudsearch.googleapis.com/v1/settings/datasources`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageToken` | `string` Starting index of the results. |
| `pageSize` | `integer` Maximum number of datasources to fetch in a request. The max value is 1000. The default value is 1000. |
| `debugOptions` | ``object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/DebugOptions`)`` Common debug options. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "sources": [ { object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources#DataSource`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `sources[]` | ``object (`https://developers.google.com/workspace/cloud-search/docs/reference/rest/v1/settings.datasources#DataSource`)`` |
| `nextPageToken` | `string` Token to retrieve the next page of results, or empty if there are no more results in the list. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud_search.settings.indexing`
- `https://www.googleapis.com/auth/cloud_search.settings`
- `https://www.googleapis.com/auth/cloud_search`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).